Link_to_Timelog_query

2020-12-19 00:41 - ciel ciel

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have been working with Redmine 3.4.6.6, for 3 years, and in order to customize the display  instead of details of the field (spent

time) to a custom table in the linker of the default table (example I created the query_1 report),.

 Link_to_Timelog_query.JPG 

I have not found the solution to remedy this problem, please some help me to solve this problem , think the patch should be ported to

the part of this code halper /issues_helper rb

def issue_spent_hours_details(issue)

    if issue.total_spent_hours > 0

      path = project_time_entries_path(issue.project, :issue_id => "~#{issue.id}")

      if issue.total_spent_hours == issue.spent_hours

        link_to(l_hours_short(issue.spent_hours), path)

      else

        s = issue.spent_hours > 0 ? l_hours_short(issue.spent_hours) : "" 

        s << " (#{l(:label_total)}: #{link_to l_hours_short(issue.total_spent_hours), path})" 

        s.html_safe

      end

    end

  end

History

#1 - 2020-12-19 00:43 - ciel ciel

ciel ciel wrote:

h2. > I have been working with Redmine 3.4.6.6, for 3 years, and in order to customize the display  instead of details of the field (spent time) to a

custom table in the linker of the default table (example I created the query_1 report),.

 Link_to_Timelog_query.JPG I have not found the solution to remedy this problem, please some help me to solve this problem , think the patch should be ported to the part of

this code halper /issues_helper rb

def issue_spent_hours_details(issue)

if issue.total_spent_hours > 0

path = project_time_entries_path(issue.project, :issue_id => "~#{issue.id}")

if issue.total_spent_hours == issue.spent_hours

link_to(l_hours_short(issue.spent_hours), path)

else

s = issue.spent_hours > 0 ? l_hours_short(issue.spent_hours) : ""

s << " (#{l(:label_total)}: #{link_to l_hours_short(issue.total_spent_hours), path})"

s.html_safe

end

end

end

#2 - 2021-03-15 06:58 - Go MAEDA

- Category changed from Forums to Time tracking

#3 - 2022-01-05 03:52 - Go MAEDA

- Description updated
Files

Link_to_Timelog_query.JPG 70.1 KB 2020-12-18 ciel ciel
